ru.bitel.bgbilling.kernel.event.events

## Class ContractTariffDeleteEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractTariffDeleteEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractTariffDeleteEvent
      extends QueueEvent

  Асинхронное событие - удаление тарифа договора.
  Вызывается по факту удаления тарифного плана договора.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractTariffDeleteEvent()`
    `` | `ContractTariffDeleteEvent(int userId, int cid, int contractTariffId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractTariffId()` Возвращает id удаленного тарифного плана договора

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffDeleteEvent

          protected ContractTariffDeleteEvent()

    - #### ContractTariffDeleteEvent

          public ContractTariffDeleteEvent(int userId,
                                           int cid,
                                           int contractTariffId)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора
        `contractTariffId` - - id удаленного тариф договора

  - ### Method Detail

    - #### getContractTariffId

          public int getContractTariffId()

      Возвращает id удаленного тарифного плана договора
      Returns:
        contractTariffId - id тарифа договора